import request from '@/utils/request'

// 分页查询抽奖记录
export function getPageLotteryRecord(params) {
  return request({
    url: '/lotteryRecord/page',
    method: 'get',
    params
  })
}

// 查询抽奖记录
export function getByIdLotteryRecord(params) {
  return request({
    url: '/lotteryRecord/getById',
    method: 'get',
    params
  })
}

// 新增抽奖记录
export function saveLotteryRecord(data) {
  return request({
    url: '/lotteryRecord/save',
    method: 'post',
    data
  })
}

// 修改抽奖记录
export function updateLotteryRecord(data) {
  return request({
    url: '/lotteryRecord/update',
    method: 'post',
    data
  })
}

// 删除抽奖记录
export function deleteByIdLotteryRecord(params) {
  return request({
    url: '/lotteryRecord/deleteById',
    method: 'delete',
    params
  })
}
